Subject: Re: [bug-diffutils] bug#20062: [PATCH] diff: add support for --color

From: Giuseppe Scrivano <[email-masked]>
Date: Fri, 11 Sep 2015 18:41:01 +0200

Hi Paul,

Paul Eggert <[email-masked]> writes:

> I finally got around to looking at it.  Doesn't it have the problem
> that if you type Control-C while it is in the middle of outputting a
> change-color sequence, your terminal may end up in a strange state?  I
> thought there was a standard way in other GNU programs to deal with
> this, but am not familiar with the topic.

we are dealing with the issue in the last version of the patch, and that
was the main issue reported and that took a while to get addressed :)

No, unfortunately there is not a standard way to deal with it.  Last
time I looked at it, grep was suffering from this issue (Ctrl-C in the
middle of a color sequence) would leave the terminal in a funny state.

Thanks,
Giuseppe